Installer - Feature #22862

[RFE] Add remote execution async_ssh option to installer
03/12/2018 04:48 PM - Chris Roberts

Status: Closed

Priority: Normal
Assignee: Chris Roberts
Category: Foreman modules

Target version:

Difficulty: easy Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1545314 Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/418

Description

Description of problem:

As part of the fix for [1], users can now add “:async_ssh: true’ in
/etc/smart_proxy_dynflow_core/settings.d/remote_execution_ssh.yml to make all remote execution jobs run asynchronously.
Users shouldn't have to manually enter this option and restart satellite to use it. At the least, an option should be added to the
installer to enable/disable this feature.

https://bugzilla.redhat.com/show_bug.cgi?id=1386270

Version-Release number of selected component (if applicable):
6.3 Snap 35

How reproducible:
N/A

Steps to Reproduce:

1. Check to see if the option was added to the installer

2. Verify that the change was made to the config file listed above.

3. (Optional) follow the verification steps in https://bugzilla.redhat.com/show_bug.cgi?id=1386270#c16

Actual results:
N/A

Associated revisions

Revision 435fd2d3 - 03/19/2018 03:53 PM - Chris Roberts
Fixes #22862 - add async_ssh param

History

#1 - 03/12/2018 04:52 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/418 added

#2 - 03/20/2018 10:02 AM - Chris Roberts
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-foreman_proxy|435fd2d3329c00d4ff9c2e738fc812eaab535ca8.
